Page MenuHomePhabricator

efl.gfx.size_hint
Closed, ResolvedPublic

Description

| | | |interface Efl.Gfx.Size_Hint
| | | |├ (P) hint_aspect
| | | |├ (P) hint_max
| | | |├ (P) hint_min
| | | |├ (P) hint_restricted_min :: set@protected
| | | |├ (P) hint_combined_min
| | | |├ (P) hint_margin
| | | |├ (P) hint_weight
| | | |├ (P) hint_align
| | | |├ (E) change,size,hints

Related Objects

StatusAssignedTask
Resolvedzmike
Resolvedzmike
zmike created this task.Jan 8 2019, 11:34 AM
zmike triaged this task as TODO priority.
zmike updated the task description. (Show Details)Jan 9 2019, 6:04 AM
zmike updated the task description. (Show Details)Feb 12 2019, 7:39 AM

edited because base and step are no longer here

zmike added a comment.Feb 15 2019, 6:49 AM

Not totally sold on hint_margin naming? Was this hint_padding or similar at some point?

I do not like the name of this interface. First off, it not only contains size hints, also position (like hint_align). I'd prefer something like Efl.Gfx.Geometry_Hint.
Secondly, Size_Hint suggests that this is a hint, instead of an object accepting hints, but I cannot come up with a better name for that.

Regarding hint_margin, the docs say "margin or padding space" so I have no preference. It was renamed from padding to margin by @jpeg on Wed Jun 8 16:09:38 2016 +0900.

zmike added a comment.Feb 21 2019, 9:27 AM

I think this can be stable after the two patches land?

We discussed the naming issue at length on IRC and I have no further concerns. This is good to go for me.

zmike moved this task from Backlog to Stabilized on the efl: api board.Feb 21 2019, 11:08 AM
bu5hm4n raised the priority of this task from TODO to Normal.Feb 22 2019, 1:19 AM
zmike closed this task as Resolved.Mar 11 2019, 10:47 AM
zmike claimed this task.